Skip to content

Reviewer Suggestions

Operations Summary

Method Endpoint Description
Core CRUD
GET /api/reviewer-suggestions/ List Reviewer Suggestions
GET /api/reviewer-suggestions/{uuid}/ Retrieve
DELETE /api/reviewer-suggestions/{uuid}/ Delete a reviewer suggestion
Other Actions
POST /api/reviewer-suggestions/{uuid}/confirm/ Confirm a reviewer suggestion. The reviewer will be invited to the call
POST /api/reviewer-suggestions/{uuid}/reject/ Reject a reviewer suggestion

Core CRUD

List Reviewer Suggestions

1
2
3
4
http \
  GET \
  https://api.example.com/api/reviewer-suggestions/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_suggestion_o_enum import ReviewerSuggestionOEnum # (1)
from waldur_api_client.models.reviewer_suggestion_status_enum import ReviewerSuggestionStatusEnum # (2)
from waldur_api_client.api.reviewer_suggestions import reviewer_suggestions_list # (3)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = reviewer_suggestions_list.sync(client=client)

for item in response:
    print(item)
  1. Model Source: ReviewerSuggestionOEnum
  2. Model Source: ReviewerSuggestionStatusEnum
  3. API Source: reviewer_suggestions_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { reviewerSuggestionsList } from 'waldur-js-client';

try {
  const response = await reviewerSuggestionsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
call_uuid string (uuid)
min_affinity_score number (float)
o array Ordering

page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
reviewer_uuid string (uuid)
status array

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
url string (uri)
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
reviewer string (uri)
reviewer_uuid string (uuid)
reviewer_name string
reviewer_email string (email)
reviewer_biography string Professional biography / summary
affinity_score number (double) Combined affinity score (0-1)
keyword_score number (double) Keyword matching score
text_score number (double) TF-IDF text similarity score
status string
Enum: pending, confirmed, rejected, invited
status_display string
reviewed_by string (uri)
reviewed_by_name string
reviewed_at string (date-time)
rejection_reason string
matched_keywords any Keywords from reviewer's expertise that matched the source text
top_matching_proposals any Top proposals with highest affinity: [{uuid, name, slug, affinity}, ...]
source_type any What content was used to generate this suggestion
source_type_display string
created string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/reviewer-suggestions/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.reviewer_suggestions import reviewer_suggestions_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = reviewer_suggestions_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: reviewer_suggestions_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { reviewerSuggestionsRetrieve } from 'waldur-js-client';

try {
  const response = await reviewerSuggestionsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
url string (uri)
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
reviewer string (uri)
reviewer_uuid string (uuid)
reviewer_name string
reviewer_email string (email)
reviewer_biography string Professional biography / summary
affinity_score number (double) Combined affinity score (0-1)
keyword_score number (double) Keyword matching score
text_score number (double) TF-IDF text similarity score
status string
Enum: pending, confirmed, rejected, invited
status_display string
reviewed_by string (uri)
reviewed_by_name string
reviewed_at string (date-time)
rejection_reason string
matched_keywords any Keywords from reviewer's expertise that matched the source text
top_matching_proposals any Top proposals with highest affinity: [{uuid, name, slug, affinity}, ...]
source_type any What content was used to generate this suggestion
source_type_display string
created string (date-time)

Delete a reviewer suggestion

Delete a reviewer suggestion.

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/reviewer-suggestions/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.reviewer_suggestions import reviewer_suggestions_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = reviewer_suggestions_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: reviewer_suggestions_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { reviewerSuggestionsDestroy } from 'waldur-js-client';

try {
  const response = await reviewerSuggestionsDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body


Other Actions

Confirm a reviewer suggestion. The reviewer will be invited to the call

Confirm a reviewer suggestion. The reviewer will be invited to the call.

1
2
3
4
http \
  POST \
  https://api.example.com/api/reviewer-suggestions/a1b2c3d4-e5f6-7890-abcd-ef1234567890/confirm/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.reviewer_suggestion_request import ReviewerSuggestionRequest # (1)
from waldur_api_client.api.reviewer_suggestions import reviewer_suggestions_confirm # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ReviewerSuggestionRequest()
response = reviewer_suggestions_confirm.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ReviewerSuggestionRequest
  2. API Source: reviewer_suggestions_confirm
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { reviewerSuggestionsConfirm } from 'waldur-js-client';

try {
  const response = await reviewerSuggestionsConfirm({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
status string
rejection_reason string

200 -

Field Type Description
url string (uri)
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
reviewer string (uri)
reviewer_uuid string (uuid)
reviewer_name string
reviewer_email string (email)
reviewer_biography string Professional biography / summary
affinity_score number (double) Combined affinity score (0-1)
keyword_score number (double) Keyword matching score
text_score number (double) TF-IDF text similarity score
status string
Enum: pending, confirmed, rejected, invited
status_display string
reviewed_by string (uri)
reviewed_by_name string
reviewed_at string (date-time)
rejection_reason string
matched_keywords any Keywords from reviewer's expertise that matched the source text
top_matching_proposals any Top proposals with highest affinity: [{uuid, name, slug, affinity}, ...]
source_type any What content was used to generate this suggestion
source_type_display string
created string (date-time)

Reject a reviewer suggestion

Reject a reviewer suggestion.

1
2
3
4
http \
  POST \
  https://api.example.com/api/reviewer-suggestions/a1b2c3d4-e5f6-7890-abcd-ef1234567890/reject/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.suggestion_reject_request import SuggestionRejectRequest # (1)
from waldur_api_client.api.reviewer_suggestions import reviewer_suggestions_reject # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = SuggestionRejectRequest()
response = reviewer_suggestions_reject.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: SuggestionRejectRequest
  2. API Source: reviewer_suggestions_reject
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { reviewerSuggestionsReject } from 'waldur-js-client';

try {
  const response = await reviewerSuggestionsReject({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
reason string Reason for rejecting the suggestion

200 -

Field Type Description
url string (uri)
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
reviewer string (uri)
reviewer_uuid string (uuid)
reviewer_name string
reviewer_email string (email)
reviewer_biography string Professional biography / summary
affinity_score number (double) Combined affinity score (0-1)
keyword_score number (double) Keyword matching score
text_score number (double) TF-IDF text similarity score
status string
Enum: pending, confirmed, rejected, invited
status_display string
reviewed_by string (uri)
reviewed_by_name string
reviewed_at string (date-time)
rejection_reason string
matched_keywords any Keywords from reviewer's expertise that matched the source text
top_matching_proposals any Top proposals with highest affinity: [{uuid, name, slug, affinity}, ...]
source_type any What content was used to generate this suggestion
source_type_display string
created string (date-time)